#include<iostream>
#include<vector>
using namespace std;
long long n;
vector <long long> skii;
long long del;
long long br = 1;
int main (){
    cin>>n;
    for(long long i = 1; i * i <= n; i ++){
        if(n%i == 0){
            long long nov = n / i;
            for(long long j = i + 1; j * j <= nov; j ++){
                if(nov%j == 0){
                    br++;
                }
            }
        }
    }
    cout<<br + 1;

    return 0;
}
